##################################################
# ABCpdf - Multistyle Example
##################################################
#
# Detta exempel visar hur man skapar text med fler
# olika stilar.

use FindBin;
use Win32::OLE qw(EVENTS);

my $theText = "<b>Gallia</b> est omnis divisa in partes tres, quarum unam incolunt <b>Belgae</b>, aliam <b>Aquitani</b>, tertiam qui ipsorum lingua <b>Celtae</b>, nostra <b>Galli</b> appellantur.";
my $theDoc = Win32::OLE->new("ABCpdf7.Doc") || die "Could not start ABCpdf7.Doc\n";

$theDoc->{FontSize} = 72;
$theDoc->Rect->Inset(10, 10);
$theDoc->FrameRect();
$theFont1 = $theDoc->EmbedFont("Verdana", "Latin", 0, 1);
$theFont2 = $theDoc->EmbedFont("Verdana Bold", "Latin", 0, 1);

$theText = '<font face="Verdana">' . $theText . '</font>';
$theDoc->AddHtml($theText); 

$theDoc->Save("$FindBin::Bin\\multistyle.pdf");
$theDoc->Clear();
