##################################################
# ABCpdf - Image Example
##################################################
#
# Detta exempel visar hur man skapar en PDF
# innehllande en bild.

use FindBin;
use Win32::OLE qw(EVENTS);

my $theImg = Win32::OLE->new("ABCpdf7.Image") || die "Could not start ABCpdf7.Image\n";
$theImg->SetFile("$FindBin::Bin\\pic.jpg");

my $theDoc = Win32::OLE->new("ABCpdf7.Doc") || die "Could not start ABCpdf7.Doc\n";
$theDoc->Rect->{Left} = 100;
$theDoc->Rect->{Bottom} = 100;
$theDoc->Rect->{Width} = $theImg->{Width};
$theDoc->Rect->{Height} = $theImg->{Height}; 
$theDoc->AddImageObject($theImg, 0);
$theDoc->Save("$FindBin::Bin\\image.pdf");
$theDoc->Clear();
